#!/usr/bin/python3

import cgi

print("Content-type:text/html\n\n\n")

def fac_iter(n):
    res = 1
    for i in range(1,n + 1):
        res *= i
    return res

def fak(n):
    if n <= 1:
        return 1
    else:
        return n * fak(n - 1)
        
print("LUL {} FORMAT".format(fac_iter(100000)))
print("LUL {} FORMAT".format(fak(500)))
